Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037775
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Warehouse Pickingmajoralways2018-01-30 16:422018-04-03 16:58
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision520313042d30
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0037775: Cannot create an outbound picking list for a partially shipped sales order

DescriptionCannot create an outbound picking list for a partially shipped sales order
Steps To ReproduceAs group admin role:
   Set Enable Stock Reservations Preference to Y
   Log out and log in

   Configure RN-Dev storage bin as Type = Outbound

   Create a Sales Order
   Add a line with 5 units of Cerveza Ale
   Book it

   Create a Goods Shipment
   Add the previously created order line
   Decrease the quantity to 1
   Complete it

   Go to the Sales Order and launch Generate Picking List process:
      Picking list type: Outbound Picking List
      
   The following error is raised:
      "Could not execute JDBC batch update"

   The log shows:
      ERROR org.hibernate.util.JDBCExceptionReporter - Batch entry 0 delete from M_Reservation_Stock where M_Reservation_Stock_ID='9C761B0CF1AF4F13A4654654F72EF494' was aborted. Call getNextException to see the cause.
ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: @CannotDeleteReleasedReservation@
ERROR org.openbravo.warehouse.pickinglist.CreateActionHandler - Error in CreateActionHandler
org.openbravo.base.exception.OBException: Could not execute JDBC batch update
    at org.openbravo.warehouse.pickinglist.CreateActionHandler.doCreate(CreateActionHandler.java:272)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102231)
collazoandy4 (developer)
2018-02-06 21:04

Test Plan
 Go to Preferences window and create a new record:
   Property: Enable Stock Reservations
   Value: Y
 Go to Warehouse and Storage Bin window and edit the bin RN-DEV to Type: Outbound
 Log out and Log in
 Go to Sales Order window and create a new record:
   Business Partner: Alimentos y Supermercados, S.A
   Create a new record in Lines tab:
     Product: Zumo de Piña 0,5L
     Ordered Quantity: 5
   Complete the order
 Go to Goods Shipment window and create a new record:
   Business Partner: Alimentos y Supermercados, S.A
   Create Lines From previous order created
   Edit the created line to Movement Quantity: 4
   Complete the sipment
 Go to Previous order created and Generate Picking List using Outbound Picking List as Picking List Type to RN-Dev bin and check the process ends successfull
 Go to Stock Reservation window and check a new reservation was created in completed status for Zumo de Piña 0,5L product:
   Quantity/Reserved QTY: 5
   Released: 4
   Check Stock tab contains two records:
     1. Storage Bin: Rn-0-0-0, Quantity: 1, Released: 0, Allocated: Y
     2. Storage Bin: Rn-0-0-0, Quantity: 4, Released: 4, Allocated: N
 Go to Warehouse Picking List window and check a new record was created in Draft status:
   Empty Lines tab
   One record in Movement Line tab:
     Item Status: Pending, Product: Zumo de Piña 0,5L, Movement Quantity: 1, Storage Bin: Rn-0-0-0, Stock Reservation: Zumo de Piña 0,5L - 5
 Go to Goods Movements Window and check a new record is created from Bin Rn-0-0-0 to RN-Dev with a movement quantity of 1
(0102319)
hgbot (developer)
2018-02-12 09:49

Repository: erp/devel/pi
Changeset: 8a3e9044ea5e27e4ca405842f1ac675be7298272
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Feb 09 17:42:37 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/8a3e9044ea5e27e4ca405842f1ac675be7298272 [^]

Fixes issue 37775:Cannot create an outbound picking list for a partially shipped
sales order

When the shipment has removed all the stock a new reservation line is created
with 0 reservedqty and releasedqty to correct the product reservation values and
the the reservation line is removed.

---
M src-db/database/model/functions/M_CREATE_RESERVE_FROM_SOL.xml
---
(0102320)
hgbot (developer)
2018-02-12 09:50

Repository: erp/pmods/org.openbravo.warehouse.pickinglist
Changeset: 520313042d30422f804cf06a1d233a5b28dd8214
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Feb 12 09:32:27 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/520313042d30422f804cf06a1d233a5b28dd8214 [^]

Fixes issue 37775:Cannot create an outbound picking list for a partially shipped
sales order

The Outbound Picking List process was removing a released stock reservation when
the order is partially shipped causing the process ends with error.

Now the reservation line is removed when the reservedqty and released qty are 0

---
M src/org/openbravo/warehouse/pickinglist/OBWPL_Utils.java
M src/org/openbravo/warehouse/pickinglist/Utilities.java
---
(0102743)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0103653)
ngarcia (developer)
2018-04-03 16:58

Solved in 1.4.1800 version of Warehouse Picking List module and 3.0PR18Q2 version of Core

- Issue History
Date Modified Username Field Change
2018-01-30 16:42 ngarcia New Issue
2018-01-30 16:42 ngarcia Assigned To => Triage Finance
2018-01-30 16:43 ngarcia Issue Monitored: networkb
2018-01-31 16:26 dmiguelez Assigned To Triage Finance => collazoandy4
2018-02-06 17:14 collazoandy4 Status new => scheduled
2018-02-06 21:04 collazoandy4 Note Added: 0102231
2018-02-12 09:49 hgbot Checkin
2018-02-12 09:49 hgbot Note Added: 0102319
2018-02-12 09:49 hgbot Status scheduled => resolved
2018-02-12 09:49 hgbot Resolution open => fixed
2018-02-12 09:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8a3e9044ea5e27e4ca405842f1ac675be7298272 [^]
2018-02-12 09:50 hgbot Checkin
2018-02-12 09:50 hgbot Note Added: 0102320
2018-02-12 09:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/8a3e9044ea5e27e4ca405842f1ac675be7298272 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/520313042d30422f804cf06a1d233a5b28dd8214 [^]
2018-02-12 09:53 dmiguelez Review Assigned To => dmiguelez
2018-02-12 09:53 dmiguelez Status resolved => closed
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102743
2018-04-03 16:58 ngarcia Note Added: 0103653


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker